Search LinkedIn jobs
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.linkedin.jobs.search({ query: "product manager", location: "New York" });
console.log(result.data.jobs);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.linkedin.jobs.search(query="product manager", location="New York")
print(result["data"]["jobs"])
curl -X POST https://api.stophy.dev/v1/linkedin/jobs/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"product manager","location":"New York"}'
stophy linkedin jobs search --query "product manager" --location "New York"
{
"success": true,
"data": {
"jobs": [
{
"id": "abc123",
"url": "https://example.com/",
"title": "Example title",
"company": {
"name": "Example title",
"url": "https://example.com/",
"avatar": "https://example.com/image.jpg"
},
"address": {
"full": "example",
"street": "example",
"city": "example",
"state": "example",
"postalCode": "example",
"country": "us"
},
"createdAt": "2026-09-28T12:00:00.000Z",
"salaryText": "example",
"isEasyApply": false,
"insight": "example"
}
]
},
"creditsUsed": 1,
"requestId": "ebb0b21d-0691-4b56-a4d5-93a1e0f73575"
}
Endpoints
| Endpoint | Cost |
|---|---|
| Search LinkedIn jobs | 1 credit per 10 items, at least 1 credit |
| Get a LinkedIn job’s details | 1 credit |
| Search Upwork jobs | 2 credits per 10 items, at least 2 credits |
| Get an Upwork job’s details | 3 credits |
| Search Indeed jobs | 1 credit per 20 items, at least 1 credit |
| Get an Indeed job’s details | 1 credit |
More ways to call it
Search Upwork jobs
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.upwork.search({ query: "react developer", limit: 20 });
console.log(result.data.jobs);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.upwork.search(query="react developer", limit=20)
print(result["data"]["jobs"])
curl -X POST https://api.stophy.dev/v1/upwork/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"react developer","limit":20}'
stophy upwork search --query "react developer" --limit 20
Search Indeed jobs
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.indeed.search({ query: "data analyst", location: "Chicago, IL", limit: 25 });
console.log(result.data.jobs);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.indeed.search(query="data analyst", location="Chicago, IL", limit=25)
print(result["data"]["jobs"])
curl -X POST https://api.stophy.dev/v1/indeed/search \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"query":"data analyst","location":"Chicago, IL","limit":25}'
stophy indeed search --query "data analyst" --location "Chicago, IL" --limit 25
Pass the job URL from a search result into that site’s job lookup endpoint for the full posting.